### Method

# GUPnP RootDevice set_available

#### Declaration [src]

    void
    gupnp_root_device_set_available (
      GUPnPRootDevice* root_device,
      gboolean available
    )

#### Description [src]

Sets the availability of `root_device` on the network (announcing its presence).

Gets property | `GUPnP.RootDevice:available`
Sets property | `GUPnP.RootDevice:available`

#### Parameters

`available`

  Type: `gboolean`

  `TRUE` if `root_device` should be available.